> For the complete documentation index, see [llms.txt](https://docs.abtasty.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.abtasty.com/emotions-ai/using-emotionsai/use-emotionsai-targeting-on-hard-coded-personalizations.md).

# Use EmotionsAI targeting on hard-coded personalizations

This documentation will show you how to get the best from the emotional analysis by acting on the EmotionsAI segment on hard-coded personalizations.

Depending on how your personalizations are coded on your website, you will have various ways to connect with EmotionsAI in order to target your audience on EmotionsAI segments:

**Front-end personalizations**

**If your personalization is front-end**, you simply have to read the localStorage and display conditions according to the `eai` segment value in `ABTastyData`

Example:&#x20;

```
const abTastyData = JSON.parse(localStorage.getItem('ABTastyData'));
if (abTastyData?.eai?.segment === "Competition") {
  // code to display the right personalization or modification
}
```

**Back-end personalizations**

**If your personalization is back-end**, you have two options:

1. AB Tasty can push the user’s segment to your API using the user ID. In that case, AB Tasty will create a personalized tag for you to make it work.
2. You can recover the data from the front (using localStorage) and push it to your backend API.&#x20;

Once your data is retrieved from the backend, you can generate your HTML page according to the user segment.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.abtasty.com/emotions-ai/using-emotionsai/use-emotionsai-targeting-on-hard-coded-personalizations.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
